/*
	David A. Roman
	RomanDA.org
	http://www.romanda.org
	Skins@RomanDA.org
        Title: Play-AHHh
	Version: 1.00.05.23.04.02.00
*/

var visOn = false;
var isPLOpen = false;
var isEQOpen = false;
var isCPOpen = false;
var isVIZOpen = false;

var HideEQ = false;
var HidePL = false;
var HideVIZ = false;
var verinfo = ""
var st = "0"

function Init()
{
    PlayList_ID.visible=false;
    FileOpenBtns.visible = false;
    view.timerInterval = 0;
    volume.value = player.settings.volume;

    if(player.OpenState == osMediaOpen)
    {
        UpdateMetadata();
    }

    if ("true"==theme.loadPreference("EQSpline")) {
       st = theme.loadPreference('splineTension');
       if(st=="0") {
          eq.splineTension==0;
          splineTensionBtn1.down = true;
	  eq.enableSplineTension=true;
       } else if(st=="2") {
          eq.splineTension==2;
          splineTensionBtn2.down = true;
	  eq.enableSplineTension=true;
       } else if(st=="10") {
          eq.splineTension==10;
          splineTensionBtn3.down = true;
	  eq.enableSplineTension=true;
       }
    }
}

function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
        UpdateMetadata();
    }
}

function OnClose()
{
    var temp = bigGoo.visible ? visBig : visSmall;
    mediacenter.effectType = temp.currentEffectType;
    mediacenter.effectPreset = temp.currentPreset;
}

function UpdateMetadata()
{
    metadata.value = "<< Song:'" + player.currentmedia.name + "'";
    if(player.currentmedia.getiteminfo("author") != "");
    {
        metadata.value += " >> Artist:'" + player.currentmedia.getiteminfo("author") +"'";
    } 

    if(player.currentmedia.getiteminfo("album") != "");
    {
        metadata.value += " >> Album:'" + player.currentmedia.getiteminfo("album") +"'";
    } 
    metadata.value += " >> ";
    metadata.scrolling = (metadata.textWidth>metadata.width);

    metadataFileType.value = player.currentmedia.getiteminfo("FileType");
    metadataBitrate.value = player.currentmedia.getiteminfo("Bitrate");
    metadataBitrate.value += " k";
    VersionInfo.Value = verinfo;
}



function OnLoad() {
	// set view to previous saved state
    if (theme.loadPreference("EqualizerPanel") == "True")
	ToggleEqualizer();
    if (theme.loadPreference("PlaylistPanel") == "True")
        TogglePlaylist();
 	
}

function repeatClick() {
     if (player.Settings.getMode('loop')) {
          player.Settings.setMode('loop','false');
     } else {
          player.Settings.setMode('loop','true');
     }
}

function shuffleClick() {
     if (player.Settings.getMode('shuffle')) {
          player.Settings.setMode('shuffle','false');
     } else {
          player.Settings.setMode('shuffle','true');
     }
}


//----------------- Control Panel Drawer ---------
function CPShowHide() {
	if (isCPOpen) {
		isCPOpen = false;
		CPOpenClose.Uptooltip = "Show Control Panel"
		CPDrawer.moveTo(388,71,1000);
	} else {
		isCPOpen = true;
		CPOpenClose.Uptooltip  = "Hide Control Panel"
		CPDrawer.moveTo(430,71,1000);
	}
}



function checkSplineTension(){
     theme.savePreference('EQSpline','true');
     splineTensionBtn1.down = false;
     splineTensionBtn2.down = false;
     splineTensionBtn3.down = false;
     if(!eq.enableSplineTension){
          splineTensionBtn1.down = true
	  theme.savePreference('splineTension','0');
     }else if(eq.enableSplineTension && eq.splineTension==2 ){
          splineTensionBtn2.down = true;
	  theme.savePreference('splineTension','2');
     }else if(eq.enableSplineTension && eq.splineTension==10){
          splineTensionBtn3.down = true;
	  theme.savePreference('splineTension','10');
     }


}


function PlaySound(type){
	theme.playSound( type );
}


function toggleShutter(){

	if(CoverOpen){
		mainShutter.backgroundImage = "cover-close.gif";
		shutterStatic.visible = true;
		shutterStatic.backgroundImage = "cover-closed.png";
		CoverOpen = false;
		visEffects.visible = false;

	}else{
		mainShutter.backgroundImage = "cover-open.gif";
		shutterStatic.visible = false;
		CoverOpen = true;
		view.timerInterval = 1000;
	}
}


function ShowVIZ(){
	visEffects.visible = true;
	view.timerInterval = 0;
}
		
function updateVolToolTip(id)
{
	vol = "";
	vol += player.settings.volume;
	eval(id + ".toolTip = 'Volume: ' + vol" );
}

function volKey(event)
{
	switch(event.keycode)
	{
		case 39:
		case 38:
			if(player.settings.volume < 95)
			{
				player.settings.volume+=5;
			}else{
				player.settings.volume = 100;
			}
			break;
		case 37:
		case 40:
			if(player.settings.volume > 5)
			{
				player.settings.volume-=5;
			}else{
				player.settings.volume = 0;
			}
			break;
	}
	player.settings.mute = false;
}


//--------------------EQ DRAWER --------------
function ShowHideEQ() {
     EQDrawer.visible = true;
     if (isPLOpen) {
	  PLCover.visible = false;
	  PlayList_ID.visible = false;
	  FileOpenBtns.visible = false;
          PLButton.upToolTip = "Show PL";
          isPLOpen = false;
          PLDrawer.alphaBlendTo(0,100)
	  HidePL = true;
    }
     if (isVIZOpen) {
          VIZButton.upToolTip = "Show VIZualization";
          isVIZOpen = false;
	  VIZEffects.alphaBlendTo(0,100)
	  vizCover.visible = false;
	  VIZEffects.visible = false;
          VIZDrawer.alphaBlendTo(0,1000)
	  HideVIZ = true;
     }


     if (isEQOpen) {
          EQButton.upToolTip = "Show EQ";
          isEQOpen = false;
          EQDrawer.alphaBlendTo(0,1000)
	  HideEQ = true;
     } else {
          EQButton.upToolTip = "Hide EQ";
          isEQOpen = true;
          EQDrawer.alphaBlendTo(255,1000)
	  HideEQ = false;
     }
}


function EQOnEndMove() {
     if (HideEQ) {
	  EQDrawer.visible = false;
	  EQButton.down = false;
     }
}




//--------------------PL DRAWER --------------
function ShowHidePL() {
     PLDrawer.visible = true;
	if (isEQOpen) {
        	EQButton.upToolTip = "Show EQ";
          	isEQOpen = false;
          	EQDrawer.alphaBlendTo(0,100)
	  	HideEQ = true;
 	}	


     if (isVIZOpen) {
          VIZButton.upToolTip = "Show VIZualization";
	  vizCover.visible = false;
          isVIZOpen = false;
	  VIZEffects.alphaBlendTo(0,100)
	  VIZEffects.visible = false;
          VIZDrawer.alphaBlendTo(0,1000)
	  HideVIZ = true;
     }


     if (isPLOpen) {
	  PLCover.visible = false;
	  PlayList_ID.visible = false;
	  FileOpenBtns.visible = false;
          PLButton.upToolTip = "Show PL";
          isPLOpen = false;
	  VIZEffects.alphaBlendTo(0,400)
          PLDrawer.alphaBlendTo(0,1000)
	  HidePL = true;
     } else {
          PLButton.upToolTip = "Hide PL";
          isPLOpen = true;
          PLDrawer.alphaBlendTo(255,1000)
	  HidePL = false;
     }
}


function PLOnEndMove() {
     if (HidePL) {
	  PLDrawer.visible = false;
	  PLButton.down = false;
     } else {
	  PLCover.visible = true;
	  PlayList_ID.visible = true;
	  FileOpenBtns.visible = true;
          PlayList_ID.alphaBlendTo(255,500)
	  PLButton.down = true;
     }
}



//--------------------VIZ DRAWER --------------
function ShowHideVIZ() {
     VIZDrawer.visible = true;
     if (isEQOpen) {
        	EQButton.upToolTip = "Show EQ";
          	isEQOpen = false;
          	EQDrawer.alphaBlendTo(0,100)
	  	HideEQ = true;
     }	
     if (isPLOpen) {
	  PLCover.visible = false;
	  PlayList_ID.visible = false;
	  FileOpenBtns.visible = false;
          PLButton.upToolTip = "Show PL";
          isPLOpen = false;
          PLDrawer.alphaBlendTo(0,100)
	  HidePL = true;
     }
     if (isVIZOpen) {
          VIZButton.upToolTip = "Show Visualization";
	  vizCover.visible = false;
          isVIZOpen = false;
	  VIZEffects.alphaBlendTo(0,400)
          VIZDrawer.alphaBlendTo(0,1000)
	  HideVIZ = true;
     } else {
          VIZButton.upToolTip = "Hide Visualization";
          isVIZOpen = true;
          VIZDrawer.alphaBlendTo(255,1000)
	  HideVIZ = false;
     }
}


function VIZOnEndMove() {
     if (HideVIZ) {
	  VIZDrawer.visible = false;
	  VIZEffects.visible = false;
	  VIZButton.down = false;
     } else {
	  vizCover.visible = true;
	  VIZEffects.visible = true;
          VIZEffects.alphaBlendTo(255,500)
	  VIZButton.down = true;
     }
}


function updateBalToolTip(){
	balance.toolTip = "";
	balance.toolTip += player.settings.balance;
}

function repeatClick() {
     if (player.Settings.getMode('loop')) {
          player.Settings.setMode('loop','false');
     } else {
          player.Settings.setMode('loop','true');
     }
}

function shuffleClick() {
     if (player.Settings.getMode('shuffle')) {
          player.Settings.setMode('shuffle','false');
     } else {
          player.Settings.setMode('shuffle','true');
     }
}


function updateShuffRep(){
	if(player.settings.getMode('shuffle')){
		shuffle_button.down = true;
	}else{
		shuffle_button.down = false;
	}

	if(player.settings.getMode('loop')){
		repeat_button.down = true;
	}else{
		repeat_button.down = false;
	}
}

function displayVisText(){
	visEffectsText.visible = true;
	visEffectsText.value = visEffects.currentEffectTitle + ": " + visEffects.currentPresetTitle;
	VIZDrawer.timerInterval = 6000
}

function hideVisText(){
	visEffectsText.visible = false;
	VIZDrawer.timerInterval = 0
}
